Subject: bug#24480: closed (Re: bug#24480: Clicking disables track-mouse on Emacs 25.1)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Sep 2016 15:03:02 +0000

Your bug report

#24480: Clicking disables track-mouse on Emacs 25.1

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24480: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24480
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24480: Clicking disables track-mouse on Emacs 25.1
From: Eli Zaretskii <[email-masked]>
To: Vincent Semeria <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Sep 2016 18:02:22 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Vincent Semeria <[email-masked]>
> Date: Tue, 20 Sep 2016 09:46:45 +0200
> 
> After (set (make-local-variable 'track-mouse) t), when I click anywhere in the buffer, track-mouse will be reset
> to nil.
> 
> Emacs 24.5 didn't do that. It breaks a tooltip system I have for coding in C++ : I alternate between typing,
> clicking and hovering over variables to get tooltips.

Thanks, I fixed this on the emacs-25 branch.

> I cannot debug track-mouse because it is in the C layer of Emacs,
> not in lisp.

The bug was in Lisp, not in the C support code.

Subject: Clicking disables track-mouse on Emacs 25.1
From: Vincent Semeria <[email-masked]>
To: [email-masked]
Date: Tue, 20 Sep 2016 09:46:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

After (set (make-local-variable 'track-mouse) t), when I click anywhere in
the buffer, track-mouse will be reset to nil.

Emacs 24.5 didn't do that. It breaks a tooltip system I have for coding in
C++ : I alternate between typing, clicking and hovering over variables to
get tooltips. I cannot debug track-mouse because it is in the C layer of
Emacs, not in lisp.

Anyone can help ?
Thanks,
Vincent